XML-RPC for PHP: version 1.0b9
Prev | Chapter 5. Class documentation | Next

# xmlrpcresp

This class is used to contain responses to XML-RPC requests. A server method handler will construct an `xmlrpcresp` and pass it as a return value. This same value will be returned by the result of an invocation of the `send` method of the `xmlrpc_client` class.

## Creation

``$resp=new xmlrpcresp`($xmlrpcval);`

``$resp=new xmlrpcresp`(0, $errcode, $errstring);`

The first instance is used when execution has happened without difficulty: `$xmlrpcval` is an `xmlrpcval` value with the result of the method execution contained in it.

The second type of constructor is used in case of failure. `$errcode` and `$errstring` are used to provide indication of what has gone wrong. See xmlrpc_server for more information on passing error codes.

## Methods

### faultCode

``$fn=$resp->faultCode`();`

Returns the integer fault code return from the XML-RPC response `$resp`. A zero value indicates success, any other value indicates a failure response.

### faultString

``$fs=$resp->faultString`();`

Returns the human readable explanation of the fault indicated by `$resp->faultCode`.

### value

``$xmlrpcVal=$resp->value`();`

Returns an `xmlrpcval` object containing the return value sent by the server. If the response's `faultCode` is non-zero then the value returned by this method should not be used (it may not even be an object).

### serialize

``$outString=$resp->serialize`();`

Returns an XML string representation of the response.

Prev | Home | Next
xmlrpcmsg | Up | xmlrpcval